Mailinglist Archive: opensuse-updates (113 mails)

< Previous Next >
openSUSE-SU-2017:1106-1: Security update for gstreamer-plugins-base
openSUSE Security Update: Security update for gstreamer-plugins-base
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:1106-1
Rating: low
References: #1024041 #1024047 #1024076 #1024079
Cross-References: CVE-2017-5837 CVE-2017-5839 CVE-2017-5842
CVE-2017-5844
Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:


This update for gstreamer-plugins-base fixes the following security issues:

- A crafted AVI file could have caused a floating point exception leading
to DoS (bsc#1024076, CVE-2017-5837, bsc#1024079, CVE-2017-5844)
- A crafted AVI file could have caused a stack overflow leading to DoS
(bsc#1024047, CVE-2017-5839)
- A crafted SAMI subtitle file could have caused an invalid memory access
possibly leading to DoS or corruption (bsc#1024041, CVE-2017-5842)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-512=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

gstreamer-plugins-base-1.8.3-5.3.2
gstreamer-plugins-base-debuginfo-1.8.3-5.3.2
gstreamer-plugins-base-debugsource-1.8.3-5.3.2
gstreamer-plugins-base-devel-1.8.3-5.3.2
gstreamer-plugins-base-doc-1.8.3-5.3.2
libgstallocators-1_0-0-1.8.3-5.3.2
libgstallocators-1_0-0-debuginfo-1.8.3-5.3.2
libgstapp-1_0-0-1.8.3-5.3.2
libgstapp-1_0-0-debuginfo-1.8.3-5.3.2
libgstaudio-1_0-0-1.8.3-5.3.2
libgstaudio-1_0-0-debuginfo-1.8.3-5.3.2
libgstfft-1_0-0-1.8.3-5.3.2
libgstfft-1_0-0-debuginfo-1.8.3-5.3.2
libgstpbutils-1_0-0-1.8.3-5.3.2
libgstpbutils-1_0-0-debuginfo-1.8.3-5.3.2
libgstriff-1_0-0-1.8.3-5.3.2
libgstriff-1_0-0-debuginfo-1.8.3-5.3.2
libgstrtp-1_0-0-1.8.3-5.3.2
libgstrtp-1_0-0-debuginfo-1.8.3-5.3.2
libgstrtsp-1_0-0-1.8.3-5.3.2
libgstrtsp-1_0-0-debuginfo-1.8.3-5.3.2
libgstsdp-1_0-0-1.8.3-5.3.2
libgstsdp-1_0-0-debuginfo-1.8.3-5.3.2
libgsttag-1_0-0-1.8.3-5.3.2
libgsttag-1_0-0-debuginfo-1.8.3-5.3.2
libgstvideo-1_0-0-1.8.3-5.3.2
libgstvideo-1_0-0-debuginfo-1.8.3-5.3.2
typelib-1_0-GstAllocators-1_0-1.8.3-5.3.2
typelib-1_0-GstApp-1_0-1.8.3-5.3.2
typelib-1_0-GstAudio-1_0-1.8.3-5.3.2
typelib-1_0-GstFft-1_0-1.8.3-5.3.2
typelib-1_0-GstPbutils-1_0-1.8.3-5.3.2
typelib-1_0-GstRtp-1_0-1.8.3-5.3.2
typelib-1_0-GstRtsp-1_0-1.8.3-5.3.2
typelib-1_0-GstSdp-1_0-1.8.3-5.3.2
typelib-1_0-GstTag-1_0-1.8.3-5.3.2
typelib-1_0-GstVideo-1_0-1.8.3-5.3.2

- openSUSE Leap 42.2 (noarch):

gstreamer-plugins-base-lang-1.8.3-5.3.2

- openSUSE Leap 42.2 (x86_64):

gstreamer-plugins-base-32bit-1.8.3-5.3.2
gstreamer-plugins-base-debuginfo-32bit-1.8.3-5.3.2
gstreamer-plugins-base-devel-32bit-1.8.3-5.3.2
libgstallocators-1_0-0-32bit-1.8.3-5.3.2
libgstallocators-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstapp-1_0-0-32bit-1.8.3-5.3.2
libgstapp-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstaudio-1_0-0-32bit-1.8.3-5.3.2
libgstaudio-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstfft-1_0-0-32bit-1.8.3-5.3.2
libgstfft-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstpbutils-1_0-0-32bit-1.8.3-5.3.2
libgstpbutils-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstriff-1_0-0-32bit-1.8.3-5.3.2
libgstriff-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstrtp-1_0-0-32bit-1.8.3-5.3.2
libgstrtp-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstrtsp-1_0-0-32bit-1.8.3-5.3.2
libgstrtsp-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstsdp-1_0-0-32bit-1.8.3-5.3.2
libgstsdp-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgsttag-1_0-0-32bit-1.8.3-5.3.2
libgsttag-1_0-0-debuginfo-32bit-1.8.3-5.3.2
libgstvideo-1_0-0-32bit-1.8.3-5.3.2
libgstvideo-1_0-0-debuginfo-32bit-1.8.3-5.3.2


References:

https://www.suse.com/security/cve/CVE-2017-5837.html
https://www.suse.com/security/cve/CVE-2017-5839.html
https://www.suse.com/security/cve/CVE-2017-5842.html
https://www.suse.com/security/cve/CVE-2017-5844.html
https://bugzilla.suse.com/1024041
https://bugzilla.suse.com/1024047
https://bugzilla.suse.com/1024076
https://bugzilla.suse.com/1024079


< Previous Next >
This Thread
  • No further messages